path: /build/build/patchelf-dev-util-0.18.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/patchelf -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/patchelf
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/patchelf && luet-portage --dir /pkgdir/patchelf
    dev-util/patchelf && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: patchelf
    version: 0.18.0
    category: dev-util
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Small utility to modify the dynamic linker and RPATH of ELF executables
    uri:
    - https://nixos.org/patchelf.html
    license: GPL-3
    buildtimestamp: 2023-10-05 05:11:28.338387619 +0000 UTC m=+138.900244366
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4'
      emerge.packages: dev-util/patchelf
      kit: dev-kit
      original.package.name: dev-util/patchelf
      original.package.slot: "0"
      original.package.version: 0.18.0
    treedir: /build/packages
  package_dir: /pkgdir/patchelf
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 93daf2ce1b4f5dc1bccf5356f9f6db87c23c0f2d397379cc6f4ee546d2215fda
compressiontype: zstd
files:
- usr/bin/patchelf
- usr/share/doc/patchelf-0.18.0/BUGS.bz2
- usr/share/doc/patchelf-0.18.0/README.md.bz2
- usr/share/man/man1/patchelf.1.bz2
- usr/share/zsh/site-functions/_patchelf
- var/db/pkg/dev-util/patchelf-0.18.0/BDEPEND
- var/db/pkg/dev-util/patchelf-0.18.0/BUILD_TIME
- var/db/pkg/dev-util/patchelf-0.18.0/CATEGORY
- var/db/pkg/dev-util/patchelf-0.18.0/CBUILD
- var/db/pkg/dev-util/patchelf-0.18.0/CFLAGS
- var/db/pkg/dev-util/patchelf-0.18.0/CHOST
- var/db/pkg/dev-util/patchelf-0.18.0/CONTENTS
- var/db/pkg/dev-util/patchelf-0.18.0/COUNTER
- var/db/pkg/dev-util/patchelf-0.18.0/CXXFLAGS
- var/db/pkg/dev-util/patchelf-0.18.0/DEFINED_PHASES
- var/db/pkg/dev-util/patchelf-0.18.0/DESCRIPTION
- var/db/pkg/dev-util/patchelf-0.18.0/EAPI
- var/db/pkg/dev-util/patchelf-0.18.0/FEATURES
- var/db/pkg/dev-util/patchelf-0.18.0/HOMEPAGE
- var/db/pkg/dev-util/patchelf-0.18.0/INHERITED
- var/db/pkg/dev-util/patchelf-0.18.0/IUSE
- var/db/pkg/dev-util/patchelf-0.18.0/IUSE_EFFECTIVE
- var/db/pkg/dev-util/patchelf-0.18.0/KEYWORDS
- var/db/pkg/dev-util/patchelf-0.18.0/LDFLAGS
- var/db/pkg/dev-util/patchelf-0.18.0/LICENSE
- var/db/pkg/dev-util/patchelf-0.18.0/NEEDED
- var/db/pkg/dev-util/patchelf-0.18.0/PF
- var/db/pkg/dev-util/patchelf-0.18.0/REQUIRES
- var/db/pkg/dev-util/patchelf-0.18.0/SIZE
- var/db/pkg/dev-util/patchelf-0.18.0/SLOT
- var/db/pkg/dev-util/patchelf-0.18.0/USE
- var/db/pkg/dev-util/patchelf-0.18.0/environment.bz2
- var/db/pkg/dev-util/patchelf-0.18.0/patchelf-0.18.0.ebuild
- var/db/pkg/dev-util/patchelf-0.18.0/repository
package_cacheimage: ""
runtime:
  name: patchelf
  version: 0.18.0
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Small utility to modify the dynamic linker and RPATH of ELF executables
  uri:
  - https://nixos.org/patchelf.html
  license: GPL-3
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 ||
      ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4'
    emerge.packages: dev-util/patchelf
    kit: dev-kit
    original.package.name: dev-util/patchelf
    original.package.slot: "0"
    original.package.version: 0.18.0
